package logs

type Logger interface {
	Debug(msg string, fields ...Field)
	Debugf(format string, v ...interface{})

	Info(msg string, fields ...Field)
	Infof(format string, v ...interface{})

	Warn(msg string, fields ...Field)
	Warnf(format string, v ...interface{})

	Error(msg string, fields ...Field)
	Errorf(format string, v ...interface{})

	Panic(msg string, fields ...Field)
	Panicf(format string, v ...interface{})

	Fatal(msg string, fields ...Field)
	Fatalf(format string, v ...interface{})

	Flush()
}
